Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.config
Interface KernelConfigurator

All Superinterfaces:
  KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractKernelConfigurator

public interface KernelConfigurator
extends KernelObject

A configurator.

The configurator is a utility class used by the controller to create and configure beans.

Version:
  $Revision: 1.16 $
Author:
  Adrian Brock

Method Summary
`BeanInfo` | `getBeanInfo(BeanMetaData metaData)` Get the BeanInfo for some metadata
`BeanInfo` | `getBeanInfo(Class clazz)` Get the BeanInfo
`BeanInfo` | `getBeanInfo(String className, ClassLoader cl)` Get the BeanInfo
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(Class clazz)` Get the class info for a class
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(String className, ClassLoader cl)` Get the class info for a class
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanInfo info)` Get a constructor join point
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanInfo info, ConstructorMetaData metaData, BeanMetaData beanMetaData)` Get a constructor join point
`org.jboss.joinpoint.spi.Joinpoint` | `getConstructorJoinPoint(BeanMetaData metaData)` Get a constructor join point
`org.jboss.joinpoint.spi.MethodJoinpoint` | `getMethodJoinPoint(BeanInfo info, ClassLoader cl, String name, List parameters, boolean isStatic, boolean isPublic)` Get a method joinpoint
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyGetterJoinPoint(BeanInfo info, String property)` Get property getter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyNullerJoinPoint(BeanInfo info, PropertyMetaData metaData)` Get property nuller join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertyNullerJoinPoint(PropertyInfo info, PropertyMetaData metaData)` Get property nuller join point
`Set` | `getPropertyNullerJoinPoints(BeanInfo info, BeanMetaData metaData)` Get property nuller join points
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(BeanInfo info, ClassLoader cl, PropertyMetaData metaData)` Get property setter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(BeanInfo info, String property, ClassLoader cl, ValueMetaData vmd)` Get property setter join point
`org.jboss.joinpoint.spi.TargettedJoinpoint` | `getPropertySetterJoinPoint(PropertyInfo info, ClassLoader cl, PropertyMetaData metaData)` Get property setter join point
`Set` | `getPropertySetterJoinPoints(BeanInfo info, BeanMetaData metaData)` Get property setter join points

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo(String className,
                                ClassLoader cl)
                         throws Throwable

  Get the BeanInfo

  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getBeanInfo

    public BeanInfo getBeanInfo(Class clazz)
                         throws Throwable

  Get the BeanInfo

  Parameters:
    `clazz` - the class
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getBeanInfo

    public BeanInfo getBeanInfo(BeanMetaData metaData)
                         throws Throwable

  Get the BeanInfo for some metadata

  Parameters:
    `metaData` - the metadata
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(String className,
                                                        ClassLoader cl)
                                                 throws Throwable

  Get the class info for a class

  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(Class clazz)
                                                 throws Throwable

  Get the class info for a class

  Parameters:
    `clazz` - the class
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanInfo info)
                                                              throws Throwable

  Get a constructor join point

  Parameters:
    `info` - the bean info
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanMetaData metaData)
                                                              throws Throwable

  Get a constructor join point

  Parameters:
    `metaData` - the bean metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getConstructorJoinPoint

    public org.jboss.joinpoint.spi.Joinpoint getConstructorJoinPoint(BeanInfo info,
                                                                     ConstructorMetaData metaData,
                                                                     BeanMetaData beanMetaData)
                                                              throws Throwable

  Get a constructor join point

  Parameters:
    `info` - the bean info
    `metaData` - the constructor metadata
    `beanMetaData` -
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyGetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyGetterJoinPoint(BeanInfo info,
                                                                                 String property)
                                                                          throws Throwable

  Get property getter join point

  Parameters:
    `info` - the bean info
    `property` - the property name
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoints

    public Set getPropertySetterJoinPoints(BeanInfo info,
                                           BeanMetaData metaData)
                                    throws Throwable

  Get property setter join points

  Parameters:
    `info` - the bean info
    `metaData` - the bean metadata
  Returns:
    the join points
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(BeanInfo info,
                                                                                 ClassLoader cl,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Get property setter join point

  Parameters:
    `info` - the bean info
    `cl` - the classloader
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(BeanInfo info,
                                                                                 String property,
                                                                                 ClassLoader cl,
                                                                                 ValueMetaData vmd)
                                                                          throws Throwable

  Get property setter join point

  Parameters:
    `info` - the bean info
    `property` - the property name
    `cl` - the classloader
    `vmd` - the value metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertySetterJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertySetterJoinPoint(PropertyInfo info,
                                                                                 ClassLoader cl,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Get property setter join point

  Parameters:
    `info` - the property info
    `cl` - the classloader
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoints

    public Set getPropertyNullerJoinPoints(BeanInfo info,
                                           BeanMetaData metaData)
                                    throws Throwable

  Get property nuller join points

  Parameters:
    `info` - the bean info
    `metaData` - the bean metadata
  Returns:
    the join points
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyNullerJoinPoint(BeanInfo info,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Get property nuller join point

  Parameters:
    `info` - the bean info
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getPropertyNullerJoinPoint

    public org.jboss.joinpoint.spi.TargettedJoinpoint getPropertyNullerJoinPoint(PropertyInfo info,
                                                                                 PropertyMetaData metaData)
                                                                          throws Throwable

  Get property nuller join point

  Parameters:
    `info` - the property info
    `metaData` - the property metadata
  Returns:
    the join point
  Throws:
    `Throwable` - for any error

### getMethodJoinPoint

    public org.jboss.joinpoint.spi.MethodJoinpoint getMethodJoinPoint(BeanInfo info,
                                                                      ClassLoader cl,
                                                                      String name,
                                                                      List parameters,
                                                                      boolean isStatic,
                                                                      boolean isPublic)
                                                               throws Throwable

  Get a method joinpoint

  Parameters:
    `info` - the bean info
    `cl` - the classloader
    `name` - the method name
    `parameters` - the parameter metadata
    `isStatic` - whether the method is static
    `isPublic` - whether the method is public
  Returns:
    the method join point
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.